--- title: "getWorkflowExecutions" slug: "analytics-dataflow-getworkflowexecutions" updated: 2026-09-17T09:54:24Z published: 2026-09-17T09:54:24Z canonical: "api.ncloud-docs.com/analytics-dataflow-getworkflowexecutions" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # getWorkflowExecutions Available in VPC Get the list of workflow executions. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v1/workflows/{workflowId}/executions | ### Request headers For information about the headers common to all Data Flow APIs, see [Data Flow request headers](/docs/en/analytics-dataflow#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `workflowId` | String | Required | Workflow ID - See [getWorkflows](/docs/en/analytics-dataflow-getworkflows). | ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `filter` | String | Optional | Filter by workflow name. | | `page` | Integer | Optional | Page number - 0-N (default: 0) | | `limit` | Integer | Optional | Page output count - 0-N (default: 1000) | ### Request example The request example is as follows: ``` curl --location --request GET 'https://dataflow.apigw.ntruss.com/api/v1/workflows/3tfNLP******/executions?page=0&limit=1000' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `list` | Array | - | Workflow execution list: [list](/docs/en/analytics-dataflow-getworkflowexecutions#list) | | `count` | Integer | - | Number of response results | | `page` | Integer | - | Page number | | `limit` | Integer | - | Page output count | #### `list` The following describes `list`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `jobExecutionId` | String | - | Job execution ID | | `jobId` | String | - | Job ID | | `jobCondition` | Object | - | Job execution option information | | `jobCondition.numWorker` | Integer | - | Number of workers - 2-10 | | `jobCondition.timeout` | Integer | - | Execution timeout (minute) - 1-1440 | | `jobCondition.nrn` | String | - | NAVER Cloud Platform resource identification value for job | | `jobCondition.scriptPath` | String | - | Job execution script storage path | | `jobCondition.logPath` | String | - | Job execution history storage path | | `status` | String | - | Last job execution status - `READY` \| `RUNNING` \| `COMPLETED` \| `FAILED` \| `CANCELED` - `READY`: Pending - `RUNNING`: Running - `COMPLETED`: Completed - `FAILED`: Failed - `CANCELED`: Canceled | | `startDate` | String | - | Job execution date and time - ISO 8601 format (including UTC+9) | | `endDate` | String | - | Job end date and time - ISO 8601 format (including UTC+9) | | `createdDate` | String | - | Job creation date and time - ISO 8601 format (including UTC+9) | | `triggerId` | String | - | Trigger ID | | `triggerName` | String | - | Trigger name | | `jobName` | String | - | Job name | | `waitingTime` | Integer | - | Job wait time | | `executorNum` | Integer | - | Number of job workers | | `runningTime` | Integer | - | Task execution time | | `parsedParameters` | Object | - | Parsed job execution parameter | | `type` | String | - | Workflow type - `WORKFLOW` (default) | ### Response status codes For information about the HTTP status codes common to all Data Flow APIs, see [Data Flow response status codes](/docs/en/analytics-dataflow#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "list": [ { "jobExecutionId": "OghK1U******", "jobId": "gqigvH******", "jobCondition": { "numWorker": 3, "timeout": 360, "nrn": "nrn:PUB:IAM::*******:Role/********-0496-11f0-baf6-246e96591a38", "scriptPath": "dataflow-2706412-****/scripts/", "logPath": "dataflow-2706412-****/sparkHistoryLogs/", "consoleLogPath": "dataflow-2706412-****/sparkHistoryLogs/console/gqigvH******/OghK1U******_2025-03-24T16:00:07.log" }, "status": "COMPLETED", "startDate": "2025-03-24T16:00:06+09:00", "endDate": "2025-03-24T16:01:41+09:00", "createdDate": "2025-03-24T16:00:06+09:00", "triggerId": "8bjF7E******", "triggerName": "trigger001", "jobName": "job001", "waitingTime": 36, "executorNum": 3, "runningTime": 18, "parsedParameters": [], "type": "WORKFLOW" } ], "count": 1, "page": 0, "limit": 4 } ```